Bug 1969601 - manifest for networks.config.openshift.io CRD uses deprecated apiextensions.k8s.io/v1beta1
Summary: manifest for networks.config.openshift.io CRD uses deprecated apiextensions.k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Matthew Staebler
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-08 18:19 UTC by Matthew Staebler
Modified: 2021-07-27 23:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Installer creates the networks CRD using the deprecated apiextenstions.k8s.io/v1beta1 API. Consequence: The metrics in the cluster create alerts that for the usage of the deprecated API. Fix: Installer uses the networks CRD from the openshift/api module rather than having its own version of the CRD. Result: The networks CRD created by the installer uses the recent apiextensions.k8s.io/v1 API.
Clone Of:
Environment:
Last Closed: 2021-07-27 23:12:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4984 0 None open Bug 1969601: manifests: link networking CRD from API 2021-06-08 18:20:45 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:29 UTC

Description Matthew Staebler 2021-06-08 18:19:55 UTC
The manifest that creates the networks.config.openshift.io CRD is using the deprecated apiextensions.k8s.io/v1beta1 API. This causes prometheus alerts to fire for the cluster.

Comment 2 Gaoyun Pei 2021-06-11 02:33:03 UTC
Verify this bug on nightly payload 4.8.0-0.nightly-2021-06-10-224448.

Create manifests and check networking CRD file

# grep apiVersion manifests/cluster-network-01-crd.yml 
apiVersion: apiextensions.k8s.io/v1

Comment 5 errata-xmlrpc 2021-07-27 23:12:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.